### Function

# JavaScriptCore Executor

#### Declaration

    void
    (* JSCExecutor) (
      JSCValue* resolve,
      JSCValue* reject,
      gpointer user_data
    )

#### Description [src]

A function passed to `jsc_value_new_promise` called during initialization

It is called like a JavaScript function, so exceptions raised will not be propagated to the context, but handled by the promise causing a rejection. `resolve` and `reject` can be reffed for later use to handle async task completion.

Available since: | 2.48

#### Parameters

`resolve` | `JSCValue`
| `JSCValue` function to call to resolve the promise.
| The data is owned by the caller of the function.
`reject` | `JSCValue`
| `JSCValue` function to call to reject the promise.
| The data is owned by the caller of the function.
`user_data` | `gpointer`
| User data.
| The argument can be `NULL`.
| The data is owned by the caller of the function.